Subject: bug#5740: closed (Re: bug#5740: 24.0.50; Gomoku display bug)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Oct 2019 13:50:02 +0000

Your bug report

#5740: 24.0.50; Gomoku display bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5740: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5740
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5740: 24.0.50; Gomoku display bug
From: Stephen Berman <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Oct 2019 15:49:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 1 Oct 2019 03:29:32 +0200 Stefan Kangas <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 1. emacs -Q
>> 2. M-x gomoku
>> 3. Play until the game is won, then press RET, which clears the board.
>> => The positions occupied at the end of the just cleared board display a
>> residue of the characters -- a thin red line from the right side of the
>> `O' and two green dots from the right side of the `X'.  Typing C-l
>> eliminates the residue.
>>
>> This is with the default font on my system:
>> xft:-monotype-Andale Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1
>> Normally I use this font:
>> xft:-unknown-DejaVu Sans Mono-bold-normal-normal-*-12-*-*-*-m-0-iso10646-1
>> and with this the above bleeding does not occur (with the Andale Mono
>> font I can see that the Gomoku `O' and `X' characters are slightly wider
>> than the block cursor, while with DejaVu Sans Mono they are just as wide
>> as the cursor).
>
> This is an old bug report from 9 years ago, that unfortunately didn't
> get an answer at the time.
>
> I'm unable to reproduce this on Emacs 26.1.  Are you still seeing this
> on a more modern version of Emacs?

(Sorry for the late reply, I was travelling when you posted and
overlooked it when I got back.)  Thanks for the reminder.  I don't
currently have access to a system with this font installed and haven't
made the effort to install it, but I have tried several other monospace
fonts and cannot reproduce the issue either, so I suppose it's no longer
a problem and am therefore closing this bug.

Steve Berman

Subject: 24.0.50; Gomoku display bug
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 2010 23:51:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1. emacs -Q
2. M-x gomoku
3. Play until the game is won, then press RET, which clears the board.
=> The positions occupied at the end of the just cleared board display a
residue of the characters -- a thin red line from the right side of the
`O' and two green dots from the right side of the `X'.  Typing C-l
eliminates the residue.

This is with the default font on my system:
xft:-monotype-Andale Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1
Normally I use this font:
xft:-unknown-DejaVu Sans Mono-bold-normal-normal-*-12-*-*-*-m-0-iso10646-1
and with this the above bleeding does not occur (with the Andale Mono
font I can see that the Gomoku `O' and `X' characters are slightly wider
than the block cursor, while with DejaVu Sans Mono they are just as wide
as the cursor).

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-03-19 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10605000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t